JAMA

# Class: Benchmark

Source Location: /PHPExcel/Shared/JAMA/examples/benchmark.php

### Class Overview

Example of use of Matrix Class, featuring magic squares.

### Variables

- $stat

### Methods

- __construct
- displayStats
- microtime_float
- run
- runCholesky
- runEig
- runLU
- runQR
- runSVD

### Class Details

[line 16]
Example of use of Matrix Class, featuring magic squares.
[ Top ]

### Class Variables

#### $stat =

[line 17]

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 159]

`Benchmark __construct( )`

#### Tags:

access: | public

[ Top ]

### method displayStats [line 30]

`void displayStats( [ $times = null])`

#### Parameters:

| $times |

[ Top ]

### method microtime_float [line 23]

`void microtime_float( )`

Simple function to replicate PHP 5 behaviour
[ Top ]

### method run [line 123]

`void run( )`

[ Top ]

### method runCholesky [line 93]

`void runCholesky( [ $n = 4], [ $t = 100])`

#### Parameters:

| $n |
| $t |

[ Top ]

### method runEig [line 48]

`void runEig( [ $n = 4], [ $t = 100])`

#### Parameters:

| $n |
| $t |

[ Top ]

### method runLU [line 63]

`void runLU( [ $n = 4], [ $t = 100])`

#### Parameters:

| $n |
| $t |

[ Top ]

### method runQR [line 78]

`void runQR( [ $n = 4], [ $t = 100])`

#### Parameters:

| $n |
| $t |

[ Top ]

### method runSVD [line 108]

`void runSVD( [ $n = 4], [ $t = 100])`

#### Parameters:

| $n |
| $t |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:14 +0200 by phpDocumentor 1.4.4